net.minecraft.network

## Enum EnumConnectionState

- java.lang.Object
- - java.lang.Enum<EnumConnectionState>
  - - net.minecraft.network.EnumConnectionState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EnumConnectionState>

      public enum EnumConnectionState
      extends java.lang.Enum<EnumConnectionState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `HANDSHAKING`
    `LOGIN`
    `PLAY`
    `STATUS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EnumConnectionState` | `func_150751_a(int p_150751_1_, java.lang.Class p_150751_2_)`
    `static EnumConnectionState` | `func_150752_a(Packet p_150752_0_)`
    `com.google.common.collect.BiMap` | `func_150753_a()`
    `com.google.common.collect.BiMap` | `func_150754_b(boolean p_150754_1_)`
    `com.google.common.collect.BiMap` | `func_150755_b()`
    `protected EnumConnectionState` | `func_150756_b(int p_150756_1_, java.lang.Class p_150756_2_)`
    `com.google.common.collect.BiMap` | `func_150757_a(boolean p_150757_1_)`
    `int` | `func_150759_c()`
    `static EnumConnectionState` | `func_150760_a(int p_150760_0_)`
    `static EnumConnectionState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EnumConnectionState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HANDSHAKING

          public static final EnumConnectionState HANDSHAKING

    - #### PLAY

          public static final EnumConnectionState PLAY

    - #### STATUS

          public static final EnumConnectionState STATUS

    - #### LOGIN

          public static final EnumConnectionState LOGIN

  - ### Method Detail

    - #### values

          public static EnumConnectionState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumConnectionState c : EnumConnectionState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumConnectionState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### func_150751_a

          protected EnumConnectionState func_150751_a(int p_150751_1_,
                                          java.lang.Class p_150751_2_)

    - #### func_150756_b

          protected EnumConnectionState func_150756_b(int p_150756_1_,
                                          java.lang.Class p_150756_2_)

    - #### func_150753_a

          public com.google.common.collect.BiMap func_150753_a()

    - #### func_150755_b

          public com.google.common.collect.BiMap func_150755_b()

    - #### func_150757_a

          public com.google.common.collect.BiMap func_150757_a(boolean p_150757_1_)

    - #### func_150754_b

          public com.google.common.collect.BiMap func_150754_b(boolean p_150754_1_)

    - #### func_150759_c

          public int func_150759_c()

    - #### func_150760_a

          public static EnumConnectionState func_150760_a(int p_150760_0_)

    - #### func_150752_a

          public static EnumConnectionState func_150752_a(Packet p_150752_0_)